Subject: bug#52173: `ś' character not available using `C-x 8'

From: Tor Kringeland <[email-masked]>
Date: Mon, 29 Nov 2021 19:11:33 +0100

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 29 Nov 2021 15:43:34 +0100, Lars Ingebrigtsen <[email-masked]> said:
>
>     Lars> Robert Pluim <[email-masked]> writes:
>     >> Except C-x 8 is nominally based on ISO 10646, so thereʼs some kind of
>     >> underlying logic to the characters it supports.
>
>     Lars> In what way it it based on Unicode?
>
> Sorry, ISO 8859-1, not 10646
>
>     Lars> Adding `C-x 8 ' s` for instance, wouldn't get in the way of anything
>     Lars> else, but would be helpful for those that have to write the
>     Lars> occasional...  er...  what is it?  An s with a caron?  
>     >> 
>     >> s with acute. But there are input methods where 's => s with cedilla
>     >> (eg Romanian), so what's the logic for preferring Polish, especially
>     >> when we already have Polish/Czech/Romanian/latin-n methods etc for all
>     >> these characters?
>
>     Lars> I wasn't aware that there was any kind of logic to the `C-x 8' map
>     Lars> except "well, that's nice".  😀
>
> :-)
>
> Looking again at iso-transl.el, perhaps we could define a 'Polish' and
> 'Czech' language. But again this all duplicates existing
> infrastructure in input methods.
>
> Robert
> -- 

I think the usage area of having commands like `C-x 8 ' s' is that it's
intuitive (it's what you expect given the behavior of similar
key-bindings and how the command looks "visually", which gives this
merit; with cedilla `C-x 8 , s' makes more sense) and it does not
require you to be aware of the specific input method.  For example, you
could quickly "Skowroński" correctly (with the diacritical mark, and not
without, which is often the "compromise" --- I've been in this situation
several times with Emacs) without being aware that the character is used
in Polish.  Names like these are common to write in English now, which
is why I think `C-x 8' is so convenient, for producing, say, "Bölmer" or
"Fløgstad" without having to switch to a German or Norwegian input
method.

Of course if you do write some text in Polish it'd be cumbersome to use
`C-x 8' all the time and you ought to use a relevant input method (and
cycling through input methods for multilingual writing is a very nice
idea).

The usage cases here are distinct, in my mind.